- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

# SetCameraCommand Class Reference

`#include <Command.h>`

Inheritance diagram for SetCameraCommand:

List of all members.

## Public Member Functions
| SetCameraCommand (Object *object)
| SetCameraCommand (List *command)
void | execute ()
std::string | getString ()
## Static Public Member Functions
static std::string | id ()
## Private Attributes
Object * | _object
## Static Private Attributes
static const std::string | _id = "setCamera"

## Detailed Description

Definition at line 235 of file Command.h.

## Constructor & Destructor Documentation

SetCameraCommand::SetCameraCommand | ( | Object * | object | ) |

| Definition at line 11 of file SetCameraCommand.cpp.

SetCameraCommand::SetCameraCommand | ( | List * | command | ) |

| Definition at line 17 of file SetCameraCommand.cpp. References _object, List::firstString(), Level::getObject(), Level::instance(), and List::rest().

## Member Function Documentation

void SetCameraCommand::execute | ( |  | ) | `[virtual]`

| Implements Command. Definition at line 23 of file SetCameraCommand.cpp. References _object, Screen::instance(), Screen::recenter(), and Screen::registerFollowObj().

std::string SetCameraCommand::getString | ( |  | ) | `[virtual]`

| Implements Command. Definition at line 29 of file SetCameraCommand.cpp. References _id, _object, List::getString(), Object::id(), and List::snoc().

static std::string SetCameraCommand::id | ( |  | ) | `[inline, static]`

| Definition at line 243 of file Command.h. References _id. Referenced by Command::loadCommand().

## Member Data Documentation

const std::string SetCameraCommand::_id = "setCamera"`[static, private]`

| Definition at line 246 of file Command.h. Referenced by getString(), and id().

Object* SetCameraCommand::_object`[private]`

| Definition at line 245 of file Command.h. Referenced by execute(), getString(), and SetCameraCommand().

The documentation for this class was generated from the following files:

- C:/Documents and Settings/jegan/Desktop/projectX/Command.h
- C:/Documents and Settings/jegan/Desktop/projectX/SetCameraCommand.cpp